## python-bitstring 4.0.2

=== doc/requirements.txt ===
sphinx==5.1.1
piccolo-theme==0.12.0

## python-bitstring 3.1.3

=== debian/changelog ===
python-bitstring (3.1.3-2) unstable; urgency=medium

  * d/control: add missing VCS information.
  * d/patches: add fix-testsuite-discovery.patch.
  * d/rules: enable test suite.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 01 Jul 2015 12:38:52 +0100

python-bitstring (3.1.3-1) unstable; urgency=low

  * Initial release. (Closes: #781540)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 30 Mar 2015 16:44:54 +0100

=== debian/control ===
Source: python-bitstring
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.6
Homepage: http://scott-griffiths.github.io/bitstring/
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/python-bitstring.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-bitstring.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-bitstring
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-bitstring-doc
Description: Python module for manipulation of binary data (Python 2)
 Bitstring is a pure Python module designed to help make the creation and 
 analysis of binary data as simple and natural as possible.
 .
 Bitstrings can be constructed from integers (big and little endian), hex, 
 octal, binary, strings or files. They can be sliced, joined, reversed, 
 inserted into, overwritten, etc. with simple functions or slice notation. 
 They can also be read from, searched and replaced, and navigated in, similar 
 to a file or stream.
 .
 This package provides the Python 2 version of the module.

Package: python3-bitstring
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-bitstring-doc
Description: Python module for manipulation of binary data (Python 3)
 Bitstring is a pure Python module designed to help make the creation and 
 analysis of binary data as simple and natural as possible.
 .
 Bitstrings can be constructed from integers (big and little endian), hex, 
 octal, binary, strings or files. They can be sliced, joined, reversed, 
 inserted into, overwritten, etc. with simple functions or slice notation. 
 They can also be read from, searched and replaced, and navigated in, similar 
 to a file or stream.
 .
 This package provides the Python 3 version of the module.

Package: python-bitstring-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python module for manipulation of binary data (documentation)
 Bitstring is a pure Python module designed to help make the creation and 
 analysis of binary data as simple and natural as possible.
 .
 Bitstrings can be constructed from integers (big and little endian), hex, 
 octal, binary, strings or files. They can be sliced, joined, reversed, 
 inserted into, overwritten, etc. with simple functions or slice notation. 
 They can also be read from, searched and replaced, and navigated in, similar 
 to a file or stream.
 .
 This package provides the common documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bitstring
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_TEST_ARGS={build_dir}/test
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html

override_dh_installchangelogs:
	dh_installchangelogs release_notes.txt

## python-bitstring 3.1.4

=== debian/changelog ===
python-bitstring (3.1.4-1) unstable; urgency=medium

  * Update patch queue:
    - Drop 0001-fix-sphinxdoc-build.patch, fixed upstream.
    - Refresh fix-testsuite-discovery.patch.
  * Add gbp configuration file.
  * d/rules: add DH_VERBOSE option.
  * d/copyright: update dates
  * d/control: cme fixed:
    - Drop versioned depends on python-sphinx.
    - Bump standards version to 3.9.7, no changes required.
    - Wrap and sort.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 23 Mar 2016 11:54:26 +0000

python-bitstring (3.1.3-3) unstable; urgency=medium

  * Add autopkgtest testsuite.
  * d/control: use secure VCS URI.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 27 Jan 2016 18:37:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -9,11 +10,11 @@
                python-setuptools,
                python3-all,
                python3-setuptools,
-               python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.6
+               python-sphinx
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-bitstring.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-bitstring.git
 Homepage: http://scott-griffiths.github.io/bitstring/
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/python-bitstring.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-bitstring.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -52,8 +53,8 @@
  This package provides the Python 3 version of the module.
 
 Package: python-bitstring-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: Python module for manipulation of binary data (documentation)

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 export PYBUILD_NAME=bitstring
 export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}

## python-bitstring 3.1.5

=== debian/changelog ===
python-bitstring (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch queue.
  * Update copyright information.
  * d/rules: better formatting.
  * Bump standards version to 3.9.8, no changes required.
  * Add upstream metadata.
  * d/gbp.conf: use DEP-14 repository layout.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 26 May 2016 08:11:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-setuptools,
                python-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-bitstring.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-bitstring.git
 Homepage: http://scott-griffiths.github.io/bitstring/

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' \
+		sphinx-build -N -b html doc build/html
 
 override_dh_installchangelogs:
 	dh_installchangelogs release_notes.txt

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-bitstring

Tests: python3
Depends: python3-all,
         python3-bitstring

=== debian/watch ===
version=3
https://github.com/scott-griffiths/bitstring/tags .*/bitstring-(\d\S*)\.tar\.gz

## python-bitstring 3.1.7

=== debian/changelog ===
python-bitstring (3.1.7-2) unstable; urgency=medium

  * Team upload
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Fix invalid escape sequences (Closes: #963551)
  * Drop trailing whitespace from debian/control
  * Update debian/copyright
  * Drop unnecessary Testsuite: autopkgtest field
  * Replace deprecated ADTTMP variable with AUTOPKGTEST_TMP
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 01 Nov 2020 12:18:49 +0000

python-bitstring (3.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #972733, #973021)
  * Refresh fix-testsuite-discovery.patch

 -- Graham Inggs <ginggs@debian.org>  Sat, 31 Oct 2020 09:20:30 +0000

python-bitstring (3.1.5-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937613
  * debian/control
    - use python3-sphinx to build doc
    - drop obsolete X-P-V fields
    - update Vcs-* to point to salsa.d.o
    - bump Standards-Version to 4.4.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Oct 2019 17:06:01 -0400

=== debian/control ===
Source: python-bitstring
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/python-bitstring
Vcs-Git: https://salsa.debian.org/science-team/python-bitstring.git
Homepage: http://scott-griffiths.github.io/bitstring/

Package: python3-bitstring
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-bitstring-doc
Description: Python module for manipulation of binary data (Python 3)
 Bitstring is a pure Python module designed to help make the creation and
 analysis of binary data as simple and natural as possible.
 .
 Bitstrings can be constructed from integers (big and little endian), hex,
 octal, binary, strings or files. They can be sliced, joined, reversed,
 inserted into, overwritten, etc. with simple functions or slice notation.
 They can also be read from, searched and replaced, and navigated in, similar
 to a file or stream.
 .
 This package provides the Python 3 version of the module.

Package: python-bitstring-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python module for manipulation of binary data (documentation)
 Bitstring is a pure Python module designed to help make the creation and
 analysis of binary data as simple and natural as possible.
 .
 Bitstrings can be constructed from integers (big and little endian), hex,
 octal, binary, strings or files. They can be sliced, joined, reversed,
 inserted into, overwritten, etc. with simple functions or slice notation.
 They can also be read from, searched and replaced, and navigated in, similar
 to a file or stream.
 .
 This package provides the common documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## python-bitstring 4.0.2

=== debian/changelog ===
python-bitstring (4.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.6.1, no changes needed.

  [ Scott Kitterman ]
  * Agreed maintainer change from Debian Science Maintainers to Debian Python
    Team
    - Add myself to Uploaders
    - Update Vcs-*
  * New upstream release
  * Remove debian/patches/fix-invalid-escape-sequences.patch, resolved
    upstream, and debian/patches/fix-testsuite-discovery.patch, will rework
    tests to work without it
  * Add pybuild-plugin-pyproject to build-depends
  * Update debian/rules so tests are still run
  * Override sphinx documentation html_theme to use sphinx default since
    upstream defined theme is not available in Debian
  * Update autopkgtest to work without upstream patches
  * Add d/p/0001-delete-mybinder.org-remote-refs-privacy-breach-logo.patch to
    address issue with remote logo downloads
  * Bump standards-version to 4.6.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Jun 2023 17:06:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: python-bitstring
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>,
+           Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/science-team/python-bitstring
-Vcs-Git: https://salsa.debian.org/science-team/python-bitstring.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitstring
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitstring.git
 Homepage: http://scott-griffiths.github.io/bitstring/
 
 Package: python3-bitstring

## python-bitstring 4.1.4

=== debian/changelog ===
python-bitstring (4.1.4-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 06 Jan 2024 11:14:13 -0500

python-bitstring (4.1.1-1) unstable; urgency=medium

  * Update homepage to github.com, github.io page is 404
  * Delete d/p/0002-Remove-bitarray-version-check.patch, incorporated upstream
  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Aug 2023 13:01:38 -0400

python-bitstring (4.1.0-1) unstable; urgency=medium

  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: #1046907)
  * Mark python-bitstrin-doc Multi-Arch foreign
  * New upstream release (Closes: #1039932)
    - Refresh patches
  * Add python3-bitarray to build-depends
  * Add d/p/0002-Remove-bitarray-version-check.patch, since there's no
    guarantee in Debian the packages will be uploaded in lock step

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 Aug 2023 01:26:43 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-bitarray,
                python3-setuptools,
                python3-sphinx
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitstring
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitstring.git
-Homepage: http://scott-griffiths.github.io/bitstring/
+Homepage: https://github.com/scott-griffiths/bitstring
 
 Package: python3-bitstring
 Architecture: all
@@ -36,6 +37,7 @@
 Package: python-bitstring-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: Python module for manipulation of binary data (documentation)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=bitstring

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -D html_theme=default -b html doc build/html

override_dh_installchangelogs:
	dh_installchangelogs release_notes.txt

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-bitstring

## python-bitstring 4.2.3

=== debian/changelog ===
python-bitstring (4.2.3-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pytest-benchmark to build-depends and test/control depends to
    enable new tests to run
  * Update d/rules install changelogs rule to use release_notes.md vice
    release_notes.txt to match upstream change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 28 May 2024 15:03:34 -0400

python-bitstring (4.2.2-1) unstable; urgency=medium

  * New upstream release
    - Delete d/p/001-Missing-gfloat.formats-import.patch, incorporated
      upstream
  * Bump standards-version to 4.7.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 May 2024 00:26:56 -0400

python-bitstring (4.2.1-1) unstable; urgency=medium

  * New upstream release
    - Delete 0001-delete-mybinder.org-remote-refs-privacy-breach-logo.patch,
      mybinder.org refs removed upstream
  * Add build-depends and autopkgtest depends on python3-gfloat,
    python3-hypothesis, and python3-pytest
  * Add d/p/0001-Missing-gfloat.formats-import.patch to fix failing tests
  * Update d/tests/python3 for new pytest test invocation

 -- Scott Kitterman <scott@kitterman.com>  Thu, 09 May 2024 08:04:15 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,13 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-bitarray,
+               python3-gfloat <!nocheck>,
+               python3-hypothesis <!nocheck>,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.6.2
+               python3-sphinx,
+               python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitstring
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitstring.git

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 		sphinx-build -N -D html_theme=default -b html doc build/html
 
 override_dh_installchangelogs:
-	dh_installchangelogs release_notes.txt
+	dh_installchangelogs release_notes.md

## python-bitstring 4.3.1

=== doc/requirements.txt ===
sphinx==7.2.2
piccolo-theme==0.17.0

=== tests/requirements.txt ===
pytest >= 7.4.2, < 8
hypothesis >= 6.98.13, < 7
gfloat >= 0.2.1, < 0.3
pytest-benchmark >= 4.0.0, < 4.1

=== debian/changelog ===
python-bitstring (4.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Simplify a debhelper override slightly.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Aug 2025 01:07:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-bitarray,
+               python3-bitarray (>= 3.0.0),
                python3-gfloat <!nocheck>,
                python3-hypothesis <!nocheck>,
                python3-setuptools,
                python3-sphinx,
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitstring
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitstring.git

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,9 @@
 export PYBUILD_NAME=bitstring
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' \
 		sphinx-build -N -D html_theme=default -b html doc build/html

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-bitstring,
         python3-gfloat,
         python3-hypothesis,
         python3-pytest,
         python3-pytest-benchmark,

=== debian/watch ===
version=4
https://github.com/scott-griffiths/bitstring/tags .*/bitstring-(\d\S*)\.tar\.gz
